Subject: bug#21516: lsh and nettle

From: Andreas Enge <[email-masked]>
Date: Fri, 18 Sep 2015 22:44:56 +0200

Hello,

I just tried to use lsh from the latest core-updates commit (hopefully)
on armhf. The command

   $ lsh-authorize identity.pub

results in:

   Can't find the sexp-conv program

sexp-conv comes from nettle, which is not installed in my profile. Adding
nettle to the profile solves the problem.

My first intuition was to maybe propagate the input nettle, but the lsh
package definition seemingly implements a more intelligent solution.
Except that it does not seem to work, so maybe some other place needs
to be modified in the source code. Can anybody else confirm the problem?

Andreas